import java.util.LinkedHashMap;

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents a list of candidates.
 * </p>
 * @version 1.0
 *
 */
public class Candidates {
	private String year;
	private LinkedHashMap<String, Candidate> candidateMap;

	public Candidates (){
		this.year = "";
		this.candidateMap = new LinkedHashMap<String, Candidate>();
	}
	
	/**
	 * @param year the election year in which these candidates are running
	 */
	public Candidates (String year) {
		this.year = year;
		this.candidateMap = new LinkedHashMap<String, Candidate>();
	}

	/**
	 * @param year the election year in which these candidates are running
	 * @param candidateMap an existing LinkedHashMap of candidates
	 */
	public Candidates(String year, LinkedHashMap<String, Candidate> candidateMap) {
		this.year = year;
		this.candidateMap = candidateMap;
	}

	/**
	 * @return the year of the election
	 */
	public String getYear() {
		return year;
	}

	/**
	 * @param year the election year to set
	 */
	public void setYear(String year) {
		this.year = year;
	}

	/**
	 * @return the candidateMap
	 */
	public LinkedHashMap<String, Candidate> getCandidateMap() {
		return candidateMap;
	}

	/**
	 * @param candidateMap the collection of candidates to set
	 */
	public void setCandidateMap(LinkedHashMap<String, Candidate> candidateMap) {
		this.candidateMap = candidateMap;
	}
	
	/**
	 * @param candidate to add to the candidateMap
	 */
	public void addToCandidates(Candidate candidate) {
		this.candidateMap.put(candidate.getName(), candidate);
	}
	
	/**
	 * Clears the collection of candidates
	 */
	public void clearCandidates() {
		this.candidateMap = new LinkedHashMap<String, Candidate>();
	}
}