import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.*;

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents a GUI display window (MVC view).
 * </p>
 * @version 1.0
 *
 */
public class CandidatesDisplayWindow extends JFrame implements ActionListener {
	private static final long serialVersionUID = 1L;
	
	private JList displayCandidateList;
	private CandidatesModel model;
	
	public CandidatesDisplayWindow() {
		setTitle("Your List of Candidates");
	}

	public void actionPerformed(ActionEvent e) {
		displayCandidateList.setListData(model.getCandidateMap().values().toArray());
		pack();
	}
	
	public void setModel(CandidatesModel model) {
		this.model = model;
		
		if (model != null) {
			model.addActionListener(this);
			add(new JLabel("NAME (PARTY) BIRTHPLACE BIRTHDATE"), BorderLayout.NORTH);
			displayCandidateList = new JList(model.getCandidateMap().values().toArray());
			add(displayCandidateList, BorderLayout.CENTER);
			pack();
			setVisible(true);
		}
	}

	public CandidatesModel getModel() {
		return model;
	}
}