import java.awt.GridLayout;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents a GUI input window (MVC view).
 * </p>
 * @version 1.0
 *
 */
public class CandidatesInputWindow extends JFrame {
	private static final long serialVersionUID = 1L;

	/** Button to click to add new candidate to the candidate list based on filled text fields. */
	JButton jbtAddCandidate = new JButton("Add Candidate");

	/** Button to clear text fields of candidate info. */
	JButton jbtClearInput = new JButton("Clear Input Fields");

	/** Button to clear candidate list. */
	JButton jbtClearCandidates = new JButton("Clear Candidate List");

	/** TextField to input new candidate name. */
	JTextField jtfName = new JTextField(20);
	JLabel lblName = new JLabel("Candidate Name", JLabel.RIGHT);
	
	/** TextField to input birthplace for new candidate. */
	JTextField jtfBirthPlace = new JTextField(20);
	JLabel lblBirthPlace = new JLabel("Birthplace (City, ST)", JLabel.RIGHT);

	/** TextField to input birthdate for new candidate. */
	JTextField jtfBirthDate = new JTextField(20);
	JLabel lblBirthDate = new JLabel("Birthdate (DD/MM/YYYY)", JLabel.RIGHT);

	/** JComboBox to input party affiliation. (Only two parties in system. :-( ) */
	JComboBox jcbParty = new JComboBox(new String[] {"Democratic", "Republican"});
	JLabel lblParty = new JLabel("Party Affiliation", JLabel.RIGHT);

	CandidatesInputWindow() {
		setTitle("Add New Candidates to Your Candidate List");
		// Create panels for names, birthplaces, birthdates, and party buttons
		
		JPanel jplName = new JPanel(new GridLayout(1, 0, 5, 5));
		jplName.add(lblName);
		jplName.add(jtfName);
		
		JPanel jplBirthPlace = new JPanel(new GridLayout(1, 0, 5, 5));
		jplBirthPlace.add(lblBirthPlace);
		jplBirthPlace.add(jtfBirthPlace);

		JPanel jplBirthDate = new JPanel(new GridLayout(1, 0, 5, 5));
		jplBirthDate.add(lblBirthDate);
		jplBirthDate.add(jtfBirthDate);

		JPanel jplParty = new JPanel(new GridLayout(1, 0, 5, 5));
		jplParty.add(lblParty);
		jplParty.add(jcbParty);

		JPanel jplButton = new JPanel(new GridLayout(1, 0, 5, 5));
		jplButton.add(jbtAddCandidate);
		jplButton.add(jbtClearInput);
		jplButton.add(jbtClearCandidates);

		// Set up the content pane and add all the panels to it.
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setLayout(new GridLayout(0, 1, 5, 5));
		add(jplName);
		add(jplBirthPlace);
		add(jplBirthDate);
		add(jplParty);
		add(jplButton);
		pack();
		setVisible(true);
	}
	
	public JButton getAddCandidateButton() {
		return jbtAddCandidate;
	}
	
	public JButton getClearInputButton() {
		return jbtClearInput;
	}
	
	public JButton getClearCandidatesButton() {
		return jbtClearCandidates;
	}

	public void clearInputFields() {
		jtfName.setText("");
		jtfBirthPlace.setText("");
		jtfBirthDate.setText("");
		jcbParty.setSelectedIndex(0);
	}
}